mysqlaccess(1)

NAME
mysqlaccess-Createnewuserstomysql.

USAGE
mysqlaccess [host [user [db]]] OPTIONS

SYNOPSIS
mysqlaccess [-?|--help] [-v|--version] [-p|--password=#] [-h|--host=#] [-d|--db=#] [-U|--superuser=#] [-P|--spassword=#] [-H|--rhost=#] [--old_server] [-b|--brief] [-t|--table] [--relnotes] [--plan] [--howto] [--debug=N] [--copy] [--preview] [--commit] [--rollback]

DESCRIPTION

-?|--help
    display this helpscreen and exit

-v|--version
    print information on the program `mysqlaccess'

-u|--user=#
    username for logging in to the db

-p|--password=#
    validate password for user

-h|--host=#
    name or IP-number of the host

-d|--db=#
    name of the database

-U|--superuser=#
    connect as superuser

-P|--spassword=#
    password for superuser

-H|--rhost=#
    remote MySQL-server to connect to

--old_server
    connect to old MySQL-server (before v3.21) which does not yet know how to handle full where clauses.

-b|--brief
    single-line tabular report

-t|--table
    report in table-format

--relnotes
    print release-notes

--plan
    print suggestions/ideas for future releases

--howto
    some examples of how to run `mysqlaccess'

--debug=N
    enter debuglevel N (0..3)

--copy
    reload temporary grant-tables from original ones

--preview
    show differences in privileges after making changes in (temporary) grant-tables

--commit
    copy grant-rules from temporary tables to grant-tables (!don't forget to do an mysqladmin reload)

--rollback
    undo the last changes to the grant-tables.

NOTE
At least the user and the db must be given (even with wildcards) If no host is given, `localhost' is assumed Wildcards (*,?,%,_) are allowed for host, user and db, but be sure to escape them from your shell!! (i.e., type \* or '*')

SEE ALSO
isamchk(1), isamlog(1), mysql(1), mysqladmin(1), mysqld(1), mysqld_multi(1), mysqld_safe(1), mysqldump(1), mysql_fix_privilege_tables(1), mysqlshow(1), mysql_zap(1), perror(1), replace(1)

For more information please refer to the MySQL reference manual, which may already be installed locally and which is also available online at http://www.mysql.com/doc/en/

BUGS
Please refer to http://bugs.mysql.com/ to report bugs.

AUTHOR
Ver 1.0, distribution 4.1.10a Michael (Monty) Widenius (monty@mysql.com), MySQL AB (http://www.mysql.com/). This software comes with no warranty. Manual page by L. (Kill-9) Pedersen (kill-9@kill-9.dk), Mercurmedia Data Model Architect / system developer (http://www.mercurmedia.com)